DependencyManagementConfiguration (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class DependencyManagementConfiguration

- org.codehaus.groovy.grails.resolve.maven.aether.config.DependencyManagementConfiguration

- Allows configuration of dependency management.

  Authors:
    Graeme Rocher
  Since:
    2.4.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DependenciesConfiguration` | `ALL_SCOPES, SCOPE_BUILD, SCOPE_COMPILE, SCOPE_OPTIONAL, SCOPE_PROVIDED, SCOPE_RUNTIME, SCOPE_TEST`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DependencyManagementConfiguration (AetherDependencyManager dependencyManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `addBuildDependencyToManager(DependencyConfiguration dependencyConfig)`
    `protected java.lang.Object` | `addDependencyToManager(DependencyConfiguration dependencyConfig)`
    `void` | `dependency(java.lang.String pattern, groovy.lang.Closure customizer = null)`
    `void` | `dependency(java.util.Map<java.lang.String, java.lang.String> properties, groovy.lang.Closure customizer = null)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DependenciesConfiguration` | `addBuildDependency, addBuildDependency, addBuildDependency, addBuildDependencyToManager, addDependency, addDependency, addDependency, addDependencyToManager, agent, build, build, compile, compile, createDependencyForProperties, customizeDependency, environments, extractDependencyProperties, getDefaultExtension, getDefaultGroup, invokeForString, methodMissing, optional, optional, provided, provided, runtime, runtime, test, test`

- - ### Constructor Detail

    - #### DependencyManagementConfiguration(AetherDependencyManager dependencyManager)

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.Object addBuildDependencyToManager(DependencyConfiguration dependencyConfig)

    - #### @java.lang.Override protected java.lang.Object addDependencyToManager(DependencyConfiguration dependencyConfig)

    - #### void dependency(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer = null)

    - #### void dependency(java.util.Map<java.lang.String, java.lang.String> properties, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer = null)